Glossary

Glossary of the @PROMT Family machine translation systems

  • Active and inactive translations
  • Alphabetic list
  • Associated Memory
  • Associated Memory database
  • Attached dictionary
  • Collocation
  • Direction of translation
  • Document topic
  • Electronic Dictionary base
  • Ending
  • Entry
  • General dictionary
  • Government
  • Headword
  • Inflexion Type
  • Initial form
  • Keywords
  • Linked dictionary
  • Macro
  • Paradigm
  • Phrase with insertion
  • Preprocessor
  • Preserved word
  • Semantic class
  • Source word
  • Specialized dictionary
  • Stem
  • Topic template
  • Translation equivalents
  • Translation rules
  • Transliteration
  • Unknown word
  • User dictionary
  • User's skill
  • Word form

  • Word with multiple translations


About PROMT Plug-In for Acrobat

PROMT Plug-In for Acrobat is a program from @PROMT Family that extends Adobe Acrobat 4.x-5.x and Adobe Acrobat Reader 4.x-5.x with the functions of text translation.

PROMT Plug-In for Acrobat is designed for translation of the preliminary selected text omitting its formatting. The translated text can be displayed in a separate translation window.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003 All rights reserved.


About File Translator

File Translator is a program from @PROMT Family intended for quick translation of several files in a batch mode.

Simple and convenient interface allows you to form a queue of files for translation and specify the files for saving the results of translation.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Editor

Dictionary Editor is an application intended for supplementing and editing the dictionaries of @PROMT Family machine translation systems.

The program allows you to enter a new word or a collocation into the dictionary, view the information about the existing word (collocation) in all the dictionaries of the system, change the grammatical information or the translations.

The program is intended for the users with different level of linguistic knowledge.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Editor Pro

Dictionary Editor Pro is a professional version of the Dictionary Editor program, designed for supplementing and editing dictionaries of @PROMT Family machine translation systems.

The program is intended for the users with high level of linguistic knowledge.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Services

Dictionary Services is a program designed for professional work with dictionaries of @PROMT Family machine translation systems.

With the help of Dictionary Services you may perform the following actions:

  • Check the correctness of any dictionary;
  • Count the statistics in the dictionary,
  • View and edit the properties of any dictionary or a group of dictionaries,
  • Compare two or more dictionaries,
  • Merge two dictionaries of identical direction of translation.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Electronic Dictionary

PROMT Electronic Dictionary is a program from @PROMT Family, which allows to work with Electronic Dictionary base and gives access to the grammatical and morphological information for each selected word and to numerous translations from the dictionaries constituting the dictionary base.

PROMT Electronic Dictionary supports the following directions of translation:

  • English-Russian and Russian-English
  • French-Russian and Russian-French
  • German-Russian and Russian-German

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT for TRADOS

PROMT for TRADOS (P4T) is a program from @PROMT Family, which integrates the systems of Translation Memory (TM) class (TRADOS) with machine translation systems of @PROMT Family (PROMT).

Using PROMT for TRADOS enables to combine into a single technological chain the following processes of automated translation:

  • Search of conformity between segments of texts and their translations in the selected translation memory database (TRADOS);
  • Exporting segments not found in the selected database into the PROMT system for machine translation;
  • Importing segments translated in PROMT back into the TM for correcting and supplementing the database.

See PROMT and TRADOS intrinsic Helps for full information on these systems.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Backup

PROMT Backup is an auxiliary program for making a reserve copy of the changeable data and settings of applications included into the machine translation system of @PROMT Family.

Support of the multi-user mode in Windows operating system allows you to save/restore information for all users of the translation system.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Associated Memory Manager

Associated Memory Manager is a program from @PROMT Family designed for working with Associated Memory (AM) databases.

Using this program you may create, delete and manually edit AM databases for any direction of translation, as well as search for records in the AM databases.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT

PROMT is a program from @PROMT Family which is a professional translation environment and a powerful linguistic editor with a set of convenient facilities for customizing translation.

PROMT is a uniform translation environment, which allows you not only to translate the text, but also to edit the translation and update the dictionaries of all accessible directions of translation. This program allows you to fulfill both simple (quick) and complex (professional) text translation, and also to execute linguistic analysis of translation results which may be used later for improving the quality of translation of other texts of similar topics.

PROMT is a flexible system which can be customized for translating the definite text. For this purpose you can attach specialized dictionaries or create your own user dictionaries. A new convenient means for customizing the system is the possibility of selecting the topic template which allows the program to define automatically which dictionaries should be attached, which words should be left without translation (preserved), and how to work with special constructions (e.g., e-mail addresses, date and time, and so on). Wide opportunities of improving the quality of translation appear due to the use of Associated Memory databases, macros and customizable translation rules.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Pro

PROMT Pro is a professional version of the PROMT program intended for the users with high level of linguistic qualification.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PromtE

PromtE is a program from @PROMT Family for translation of Web-pages in Microsoft Internet Explorer 5.x/6.x.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PromtX

PromtX is a program from @PROMT Family. This is a simplified editor-translator with the capability of automated translation of Windows Clipboard and the texts typed on the keyboard in any Windows application window.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About SdcMaker

SdcMaker is a program from @PROMT Family intended for creating the installation kits on the basis of user dictionaries and topic templates which can be later used for the distribution of dictionaries and topic templates.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About SmarTool

SmarTool is a program from @PROMT Family which embeds the functions of translation into the following applications of Microsoft Office 2000/XP:

  • Word 2000 / XP
  • Excel 2000 / XP
  • PowerPoint 2000 / XP
  • FrontPage 2000 / XP
  • Outlook 2000 / XP

The menu and the toolbar of translation are built into all main applications of Microsoft Office 2000 / XP, that allows you to receive translation of the open document directly in these applications.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About TDSetup

TDSetup is a program from @PROMT Family designed for installation and deinstallation of specialized dictionaries and topic templates.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Terminology Manager (PROMT TerM)

PROMT Terminology Manager (PROMT TerM) is a program from @PROMT Family intended for automating the processes of extracting and processing the terminology.

PROMT TerM allows you to do the following:

  • Reduce the amount of manually processed terminology;

  • Use more accurate, logical and unified terminology;

  • Organize the processing of new terminology by integrating with the @PROMT Family (PROMT) machine translation system and TRADOS / TRANSIT Translation Memory systems.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


 Active and inactive translations

Each dictionary entry contains a list of active translations which are used during translation.

Besides, the dictionary entry may contain a list of inactive translations which are NOT used during translation but may be present in the dictionary for additional information.

Each active translation may be marked as inactive and vice versa. At least one active translation must be present in the entry.

Both active and inactive translations may contain comments - any supplementary text before the translation equivalent. Comments will NEVER appear in the text of translation.


Alphabetic list

Alphabetic list - is the alphabetically ordered list of headwords of dictionary entries. The alphabetic list may be presented in the following ways:

  • As a list of stems and word forms;
  • As a list of initial forms.


Associated Memory

Associated Memory (AM) in the @PROMT Family machine translation systems is a simplified system of Translation Memory class, embedded in the translation system. AM is intended for remembering repeated text segments along with their translation for subsequent using them while translating in the PROMT application.

The Associated Memory in the @PROMT Family system has a number of simplifications in comparison with full-function Translation Memory systems:

  • Simplified algorithm of segments selection (the segments are separated by punctuation marks);
  • Simplified algorithm of a segment search in the database (only 100% coincidence is searched for);
  • No terminology manager is used.

You may work with Associated Memory in two programs of @PROMT Family system:

  1. Associated Memory Manager

  2. PROMT.


Attached dictionaries

Attached dictionaries are those dictionaries accessible for the given direction of translation which are used during document translation. You can see the list of accessible dictionaries in the Dictionaries dialog box. The dictionaries which are attached for translation of the given document are marked with [image], and the order of dictionaries in this list corresponds to their priority. To attach / detach the dictionary from the list, check / uncheck the mark near the dictionary title. During translation process, the program searches for a translation equivalent in these dictionaries in the order in which they appear in the list. The last dictionary to search in is the General dictionary.

General dictionary is not displayed in the list of attached dictionaries but is always attached for each direction of translation.


Associated Memory database

Associated Memory (AM) database in the @PROMT Family machine translation systems is the database containing separate text fragments along with the corresponding translations of these fragments. In the process of translation the program automatically compares the source text with text fragments from the AM databases which are currently attached to the translation. In case of full coincidence the fragment translation is being taken from the AM database.

You can get the translations from the AM databases ONLY while working in the PROMT application.


Electronic Dictionary base

Electronic Dictionary (ED) base is the database containing the information from the dictionaries of the @PROMT Family machine translation systems intended for working in the PROMT Electronic Dictionary application.

The General base, installed together with the system, and the user ED bases, which may be created by the users, are supported by the system.

The General base contains the information from the General and specialized dictionaries of the appropriate directions of translation developed in the PROMT company. During work the General base can be supplemented by the information from the user dictionaries.

After the installation only the General base is accessible in the system.


Initial form

Initial form - is one of the word forms which is traditionally selected as a representative of the given word in the dictionary:

  • For a verb it is an Infinitive form;
  • For a noun:
    • In English, Spanish, Portuguese, Italian and French it is singular;
    • In German and Russian: it is nominative case, singular;
  • For an adjective:
    • In English: it is positive degree of comparison;
    • In Spanish, Portuguese, Italian and French: it is masculine, singular;
    • In German and Russian: it is nominative case, masculine, singular, positive degree of comparison.


Word collocation

Word collocation (or simply collocation, or word combination, or phrase, or expression) is a combination of significant words (with syntactic words or without them), which serve for expressing a single conception or notion (for example, "program of machine translation").


"Translation Rules" dialog box

This dialog box allows you to customize some linguistic rules which will influence the results of translation.

  1. In the Title list, select the title of the translation rule which you want to customize for translation. At the bottom of the dialog window you will see the detailed description of the specified rule.
  2. In the Value list box, select the appropriate variant.
  3. Click OK.

The selected translation rules can be applied to translating the selected paragraphs or the entire text.

The list of translation rules depends on the direction of translation.


"All Dictionaries" dialog box

This dialog box contains the list of the user [image] and specialized [image] dictionaries which are accessible to the system for the given direction of translation.

Buttons:

New | Creates a new user dictionary
Delete | Removes the selected dictionary from the list
Open | Opens the dictionary as the alphabetic list. This allows you to view and edit the contents of the dictionary. This command is accessible NOT IN ALL applications of the translation system.
Properties | Changes the dictionary properties: its title, copyright, comments and password

Commands:

Load from dictionary archive | Loads the user dictionary from the file of dictionary archive.
Convert the dictionary of PROMT 98 version | Converts the user dictionary from the file of the user dictionary created by the PROMT 98 system
Save to dictionary archive | Saves the user dictionary in the file of dictionary archive
Linked dictionaries | Sets links with linked dictionaries.


"Select the topic template" dialog box

To select the appropriate topic for the current document translation, do the following:

  1. Select the topic template from the list of templates for the given direction of translation.
  2. Click OK.

Document topic will be created on the basis of the selected topic template, but it may be modified and, finally, differ from the topic template on the basis of which it was created.


"Converting from the previous version" dialog

"Converting from the previous version" dialog box

Converting the dictionary - is the process of adding a user dictionary to the list of accessible dictionaries for the given direction of translation from the file created by the previous version of the translation system.

When you load the user dictionary created in PROMT 98 or even earlier versions of the translation system, it is being converted into the format of @PROMT Family.

You can save the changed dictionary only in the file of dictionary archive, but you will not be able to use it in PROMT 98 and earlier versions of the translation system.

The source user dictionary will remain unchanged and you will be able to use it in PROMT 98 where it was created.

Mark the Don't show again option if you don't want to see this warning each time you use this command.


"Direction of translation" dialog box

To select the appropriate direction of translation and the topic template for the current document, do the following:
  1. Select the direction of translation.
  2. Select the topic template from the list of templates for the given direction of translation.
  3. Click OK.

This dialog box appears when you create a new document or change the direction of translation of the open document.


"Dictionaries" dialog box

This dialog box contains the list of the user and specialized dictionaries which are accessible to the system for the given direction of translation. Those dictionaries which are attached for translating the current document are marked with [image] . The order of dictionaries in this list corresponds to their priority. To attach / detach the dictionary from the list, check / uncheck the mark near the dictionary title.

General dictionary is not displayed in the list of dictionaries but is always attached for each direction of translation.

Buttons:

Move Up | Moves the selected dictionary one line up in the list
Move Down | Moves the selected dictionary one line down in the list
Move to Top | Moves the selected dictionary to the first line in the list
Open | Opens the dictionary as the alphabetic list. This allows you to view and edit the contents of the dictionary. This command is accessible NOT IN ALL applications of the translation system.
Properties | Changes the dictionary properties: its title, copyright, comments and password
New | Creates a new user dictionary
Delete | Removes the selected dictionary from the list

Commands:

Load from dictionary archive | Loads the user dictionary from the file of dictionary archive
Convert the dictionary of PROMT 98 version | Converts the user dictionary from the file of the user dictionary created by the PROMT 98 system
Save to dictionary archive | Saves the user dictionary in the file of dictionary archive
Linked dictionaries | Sets links with linked dictionaries.


"Dictionary properties" dialog box

To enter the information about the user dictionary, you should specify:

  • Dictionary title (no more than 14 characters);
  • Copyright (no more than 63 characters);
  • Comments (no more than 127 characters).

Click the Protection button, if you want to protect the dictionary with the password.

The information about the specialized dictionary cannot be modified.


"Dictionary protection" dialog box

This dialog box allows you to protect the user dictionary with the password.

To set the password, do the following:

  1. Check the Protect the dictionary with the password option.
  2. Type the password in the Password box (any sequence of symbols not longer than 8 characters). Each character is displayed as "asterisk" *.
  3. Type the password once more in the Confirm the password box to confirm its correctness.
  4. Click OK.

Only at exact coincidence of the passwords typed in the Password and Confirm the password boxes (taking into account the difference between capital and lower case letters), the OK button becomes accessible, i.e. the password can be set.

To remove the password, do the following:

  1. Check the Don't protect the dictionary with the password option
  2. Click OK.

Specialized dictionary cannot be protected with the password.


"Topic templates" dialog box

This dialog box allows you to create and edit the topic templates for the selected direction of translation.

The left part of the dialog contains the list of Topic templates, where the names of all existing topic templates for the given direction of translation are displayed.

Buttons:

New template Creates a new topic template for the given direction of translation (empty or on the basis of the selected template)

Commands:

Rename template | Renames the existing topic template (except the General topic template which cannot be renamed).
Delete template | Removes the selected topic template from the list of templates for the given direction of translation (except the General topic template which cannot be removed)
Preserved words | Opens the Preserved Words dialog which allows you to form the list of preserved words for the given topic template
Preprocessors | Opens the Preprocessors dialog which allows you to form the list of preprocessors for the given topic template
Load from topic template archive | Loads the topic template from the file of archive
Save to topic template archive | Saves the topic template in the file of archive
Key words | Allows you to form the list of key words for the given topic template. This command is accessible NOT IN ALL applications of the translation system.
AM Databases | Allows you to attach the Associated Memory databases for the given topic template. This command is accessible NOT IN ALL applications of the translation system.
Macros | Allows you to attach a file with macro for the given topic template. This command is accessible NOT IN ALL applications of the translation system.
Translation rules | Allows you to customize the translation rules for the given topic template. This command is accessible NOT IN ALL applications of the translation system
Transliterate unknown words | Allows you to transliterate the unknown words in the text of translation. This option is accessible NOT IN ALL applications of the translation system.

The General topic template cannot be renamed or removed.

The right part of the dialog allows you to form or edit the information concerning the selected topic template. The Dictionaries of the topic template list contains all the dictionaries which are accessible for the given direction of translation. Those dictionaries which are attached in the given topic template are marked with [image] . The order of dictionaries in this list corresponds to their priority in the given topic template.

Buttons:

Move Up | Moves the selected dictionary one line up in the list
Move Down | Moves the selected dictionary one line down in the list
Move to Top | Moves the selected dictionary to the first line in the list
Properties | Changes the dictionary properties: its title, copyright, comments and password
New | Creates a new user dictionary

Commands:

Load from dictionary archive | Loads the user dictionary from the file of dictionary archive.
Convert the dictionary of PROMT 98 version | Converts the user dictionary from the file of the user dictionary created by the PROMT 98 system
Save to dictionary archive | Saves the user dictionary in the file of dictionary archive


"Enter Password" dialog box

The current user dictionary is protected with the password, which is intended to prevent the dictionary from using by another copy of the program. If you want to use this dictionary, you should enter the password.


"Loading from dictionary archive" dialog box

Loading from dictionary archive - is the process of adding the user dictionary from the file of dictionary archive to the list of accessible dictionaries for the given direction of translation.

All the changes you made in the dictionary will be saved in the file of archive only after you use the Save to dictionary archive command.

Mark the Don't show again option if you don't want to see this warning each time you use this command.


"New topic template" dialog box

To create a new topic template for the given direction of translation, do the following:
  1. Type the name of the new topic template in the Title box
  2. Specify how the new topic template should be formed:
    • Should be formed as a new one (mark the Empty option)
    • Should be based on the selected topic template.


"Open Entry" dialog box

To enter a new word or collocation into the dictionary, do the following:
  1. In the Word (Collocation) text box type the source word or collocation you wish to add or edit within the dictionary.
  2. Select a user dictionary from the Save In list box. The entry will be saved in the selected user dictionary. This list contains only the attached user dictionaries.
  3. If the selected user dictionary has a link with the linked dictionary, you will see the title of this linked dictionary in the next line.
  4. Specify the User's Skill, that will allow you to work with the dictionary information in the most convenient way.
  5. Click OK.

See also:

  • How to enter English words and collocations
  • How to enter French words and collocations
  • How to enter German words and collocations
  • How to enter Italian words and collocations
  • How to enter Russian words and collocations
  • How to enter Spanish words and collocations


"This dictionary exists in the translation system" dialog box

This dialog box allows to solve a conflict while restoring dictionaries from archive, in case the system already contains a dictionary with the same title. Select one of the options:

  • Rewrite the dictionary - the existing dictionary will be replaced by the restored one;
  • Rewrite all dictionaries - the current existing dictionary and all subsequent existing dictionaries with the same titles as restored dictionaries will be replaced by the restored dictionaries;
  • Restore dictionary with another title - a copy of the dictionary will be created;
  • Restore all dictionaries with other titles - copies of the current existing dictionary and all subsequent existing dictionaries with the same titles as restored dictionaries will be created;
  • Skip the dictionary - the dictionary will not be restored;
  • Skip all dictionaries - the current existing dictionary and all subsequent dictionaries whose titles coincide with the restored ones will not be restored.


"This dictionary exists in the translation system" dialog box

This dialog box allows to solve a conflict while restoring dictionaries from archive, in case the system already contains a dictionary with the same title. Select one of the options:

  • Rewrite the dictionary - the existing dictionary will be replaced by the restored one;
  • Restore dictionary with another title - a copy of the dictionary will be created.


"This dictionary exists in the translation system" dialog box

This dialog box allows to solve the conflict while restoring a dictionary from archive, in case the restored dictionary is already registered in the system under another title. Select one of the options:

  • Rewrite the dictionary with the title ... - the existing dictionary will be replaced by the restored one with the suggested title;
  • Restore the dictionary as a new one with the title ... - a copy of the dictionary will be created.


"This topic template exists in the translation system" dialog box

This dialog box allows to solve a conflict while creating a new topic template, in case the system already contains a topic template with the same title. Select one of the options:

  • Rename topic template - you will be offered to set another titlle for the new topic template;
  • Rewrite the topic template - the existing topic template will be replaced by a new one.


"Linked dictionaries" dialog box

This dialog box allows you to set or remove the links between the dictionaries of the opposite directions of translation which may be considered as linked dictionaries.

It means that when you add a word or a collocation in the initial dictionary, a new entry will be automatically created in the linked dictionary. The necessary grammar information will be formed on the basis of rules for the given language pair.

In this dialog you can do the following:

  • Set the linked dictionary for the source one - to do that, select the dictionary from the list and click the Add Link button.
  • Remove the link with the linked dictionary - to do that, select the dictionary from the list and click the Remove Link button.
  • Remove all the links - to do that, click the Remove All Links button.

If you update the linked dictionary, the initial dictionary is not modified.

The same dictionary may be a linked dictionary for several dictionaries. The opposite is not true, i.e. one dictionary cannot have several linked dictionaries.


"Preprocessors" dialog box

This dialog box allows you to create and edit the list of preprocessors for the given document topic.

Buttons:

Move Up | Moves the selected preprocessor one line up in the list
Move Down | Moves the selected preprocessor one line down in the list
Customize | Allows you to customize the selected preprocessor, i.e. to specify its concrete options (is accessible not for all preprocessors).
Details | Gives more detailed information on the opportunities of the given preprocessor


"Preserve a Word" dialog box

To preserve a word or a collocation, do the following:
  1. Type the word that you want to preserve in the Word (Collocation) box.
  2. Specify the semantic class of the word in the Semantic class list.
  3. Mark the Transliterate option, if you want this word to be displayed in the translated text with characters of the target language.
  4. Click OK.


"Preserve a Word" dialog box

To preserve a word or a collocation, do the following:
  1. Type the word that you want to preserve in the Word (Collocation) box.
  2. Select the semantic class of the word in the Semantic class list.
  3. Mark the Transliterate option, if you want this word to be displayed in the translated text with characters of the target language.
  4. Mark the Font format option, if you want to preserve the specified word (collocation) only if it is displayed in the source text with the definite font format. You will see the Font dialog box where you can specify the font type, size and style.
  5. The specified font format will be displayed in the lower part of the window.
  6. Click the Change button if you want to modify this font format.
  7. Click OK.


"Preserved Words" dialog box

This dialog box displays the list of preserved words with the indication of their semantic class, the necessity of transliteration, the condition of matching the specified font format.

Buttons:

Add | Adds a new word (or a collocation) to the list of preserved words
Change | Allows you to edit the preserved word from the list, change its semantic class or the function of transliteration
Delete | Deletes the selected word from the list
Delete All | Deletes all the words from the list

Commands:

Load the List | Loads the list of preserved words, which was previously created and saved as a text file or a WWT-format file. The new list can either substitute the current one, or be appended to it
Save the List | Saves the list as a text file or a WWT-format file, making it possible to use this list while working with other documents.


"Rename topic template" dialog box

To rename the existing topic template, do the following:
  1. Type the new name of the topic template in the New Title box.
  2. Click OK.

The General topic template cannot be renamed.


"Saving to dictionary archive" dialog box

Saving to dictionary archive - is the process of saving the user dictionary in the file of dictionary archive.

This dialog box is a warning that you are creating or updating the dictionary archive.

All the changes you made in the dictionary will be saved in the file of archive only after you use the Save to dictionary archive command.

Mark the Don't show again option if you don't want to see this warning each time you use this command.


"Save current settings as a topic template" dialog box

This dialog box allows you to save the current settings of the document topic as a certain topic template.

To save the document topic as a topic template, do the following:
  1. Select the title of the new topic template. You may select the existing name or type a new name for the topic template.
  2. Click the Save button.


"Select linked dictionary" dialog box

This dialog box allows you to set the dictionary which may be considered as linked dictionary to the source one. It means that when you add a word or a collocation in the initial dictionary, a new entry will be automatically created in the linked dictionary of the opposite directions of translation. The necessary grammar information will be formed on the basis of rules for the given language pair.

In this dialog you can do the following:

  • Select the user dictionary from the list of accessible dictionaries which will be considered as a linked dictionary to the source one - to do that, select the dictionary from the list .
  • Create a new dictionary - to do that, click the New button.
  • View the properties of any dictionary in the list - to do that, click the Properties button.


"Sorting the directions of translation" dialog box

This dialog box contains the list of the installed direction of translation. The order of directions of translation can be changed according to your choice.

Buttons:

Move Up | Moves the selected direction of translation one line up in the list
Move Down | Moves the selected direction of translation one line down in the list
Move to Top | Moves the selected direction of translation to the first line in the list
Restore default settings | Restores the default order of the installed directions of translation

Possibility to customize the order of directions of translation is accessible only in the PROMT Pro application which is included into @promt Premium. But the specified settings will be also used in all other applications of the @PROMT Family.

Changes will come into force only in again started applications of the @PROMT Family.


"Unknown Words" dialog box

The list contains the unknown words, i.e. the words which were not found by the system during document translation in the attached dictionaries. You can sort this list by alphabet or by frequency, if you click the appropriate column.

Buttons:

Add to Dictionary | Allows you to enter the selected unknown word to the user dictionary
Preserve | Moves the selected word or several words to the list of preserved words
Delete | Removes the word from the list
Delete All | Removes all the words from the list

Commands:

Dictionaries | Opens the Dictionaries dialog which allows you to view and edit the list of dictionaries used during document translation
Save | Saves the list of unknown words in a text file


Ending

Ending in the machine translation systems is the whole changeable part of a word, i.e. the part of the word which changes at its declination or conjugation (e.g. 'finish', 'finishED', 'finishING', etc.).


Dictionary Entry

Dictionary entry (or simply entry) in the machine translation systems is an element of the dictionary which correlates the information about the source word or collocation with its translation. A dictionary entry consists of:

  • Headword
  • Grammatical information
  • Translation equivalents

See also:

Example of an entry


Examples of English phrases with insertion

The following types of phrases with insertion are accessible:

a) Verb + [...] + postpositive

Here the postpositive can be expressed by:

  • adverb (e.g., 'put smth back', 'break smth down')
  • preposition, NOT followed by the noun group (e.g., 'add smth on')
  • prepositional noun group (e.g., 'put smb in jail')

b) Verb + [...] + preposition + [noun group]

Here the preposition MUST be followed by the noun group:

  • 'ask smb for smth'
  • 'accommodate smb with smth'

c) Verb + [...] + adjective (or participle)

Here the verb is usually the verb 'to be' or copulative verb:

  • 'be ... ashamed', 'be ... asleep', 'be ... fed up',
  • 'feel ... sorry', 'feel ... ashamed', 'look ... right'

d) Verb + [...] + object

This type of phrase with insertion is used for changing the translation of the verb in combination with the definite noun in the function of direct object. You may also change the translation of the given noun. If you don't change the translation of the given noun, the program will take it from the current dictionary.

This type of phrase with insertion does not need to specify the maximum number of inserted words.

  • 'make ... decision'
  • 'pay ... attention'
  • 'take ... exam'
  • 'enter ... appeal'

This phrase with insertion will be recognized, if the given noun functions as the direct object (e.g., 'He took the last exam'), or if it is a subject of the given verb in passive construction (e.g., 'An exam was taken by him').


Example of an entry

Let's consider an example of an entry of the word 'finish' in the English-Russian dictionary. The word 'finish' relates to several parts of speech and has its own translations for each of them:

Headword | Grammatical information | Translations
'finish' | Noun | 'конец'
 | Verb, Infinitive | 'заканчивать'

For displaying and editing the dictionary entry there is the Entry dialog.


General dictionary

General dictionary is the main dictionary of the machine translation system, which contains common lexicon for the certain direction of translation. Each direction of translation has its own General dictionary which is delivered with the system. The General dictionary is always attached during translation.

General dictionary is closed to the users, i.e. it can't be modified. But you can open an entry from the General dictionary, modify it and then store in your own user dictionary.


Government

Government in the machine translation systems is a subordination of word, collocation or phrase with/without a preposition (conjunction) to the main word. The government may be of the following types:

  • Prepositional Government - for example, to equip WITH
  • Non-prepositional Government - for example, to become a worker; to write a book
  • Government of the Infinitive or Gerund - for example, an opportunity to work, an opportunity of working
  • Government of the Subordinate Clause - for example, to speak, that


How to enter English words and collocations

Rules of entering a word:

  • A verb should be entered in the form of Infinitive (for example, finish).
  • A noun should be entered in singular (for example, book), except the case when the noun is used only in plural (for example, people).
  • An adjective should be entered in the positive degree of comparison (for example, long). If the comparative and superlative forms are formed in non-standard way (for example, good-better-best), they should be entered separately.
  • There are no special restrictions on the form of an adverb to be entered into the dictionary.

Rules for entering a collocation:

  1. The main word in a collocation should be entered according to the rules for entering words.
  2. If the main (changeable) word in a collocation is a verb, it should be the first in the collocation (for example, make a decision).
  3. If the main (changeable) word in a collocation is a noun or an adjective, it should be the first, or the last in the collocation (for example, accident protection device). The plural forms will be automatically distinguished by the program during translation.
  4. If the dependent words in the collocation are disposed before and after the main noun, you should enter both singular and plural forms of the collocation (for example, high commiscioner for refugee and high commiscionerS for refugee).


How to enter French words and collocations

Rules of entering a word:
  • A verb should be entered in the form of Infinitive (for example, attendre).
  • A noun should be entered in singular, with an article (for example, le livre), except the case when the noun is used only in plural (for example, les moeurs).
  • An adjective should be entered in singular, masculine (for example, petit).
  • There are no special restrictions on the form of an adverb to be entered into the dictionary.

Rules for entering a collocation:

  1. The main word in a collocation should be entered according to the rules for entering words.
  2. If the main (changeable) word in a collocation is a verb, it should be the first in the collocation (for example, intenter une action).
  3. If the main word in a collocation is a noun or an adjective, it should be the first, or the last in the collocation (for example, ban que de premier ordre, bon vivant ). The plural forms will be automatically distinguished by the program during translation.
  4. If the dependent words in the collocation are disposed before and after the main noun, you should enter both singular and plural forms of the collocation (for example, grande ligne de chemin de fer and grandes ligne s de chemin de fer).


How to enter German words and collocations

Rules of entering a word:
  • A verb should be entered in the form of Infinitive (for example, beginnen).
  • A noun should be entered in the singular, with an article and from the capital letter (for example, das Buch), except the case when the noun is used only in plural (for example, die Kosten).
  • An adjective should be entered in the positive degree of comparison (for example, klein). If the comparative and superlative forms are formed in non-standard way (for example, gut-besser-am besten), they should be entered separately.
  • There are no special restrictions on the form of an adverb to be entered into the dictionary.

Rules for entering a collocation:

  1. The main word in a collocation should be entered according to the rules for entering words.
  2. There may be no more than two changeable words in a collocation.
  3. The main word should be the first, or the last in the collocation (for example, oben genannt, die fremde Sprache, der Minister für Außenhandelsbeziehungen).


How to enter Italian words and collocations

Rules of entering a word:

  • A verb should be entered in the form of Infinitive (for example, parlare).
  • A noun should be entered in singular (for example, bambino).
  • An adjective should be entered in singular, masculine (for example, bello).
  • There are no special restrictions on the form of an adverb to be entered into the dictionary.

Rules for entering a collocation:
  1. The main word in a collocation should be entered according to the rules for entering words.
  2. If the main (changeable) word in a collocation is a verb, it should be the first in the collocation (for example, credere sulla parola).
  3. If the main (changeable) word in a collocation is a noun or an adjective, it should be the first, or the last in the collocation (for example, creazione di credito). The plural forms will be automatically distinguished by the program during translation.


How to enter Russian words and collocations

Rules of entering a word:

  • A verb should be entered in the form of Infinitive (for example, известить).
  • A noun should be entered in the nominative case, singular (for example, известие), except the case when the noun is used only in plural (for example, ножницы).
  • An adjective and participle should be entered in singular, masculine (for example, известный, летящий).
  • There are no special restrictions on the form of an adverb to be entered into the dictionary.

Rules for entering a collocation:
  1. The main word in a collocation should be entered according to the rules for entering words.
  2. There may be no more than two changeable words in a collocation.
  3. The main (changeable) word in a collocation should be the first, or the last in the collocation (for example, надежный в эксплуатации, содержать в себе, автомобильная дорога, в двух экземплярах.).
  4. If a collocation contains a hyphen, insert a space symbol before and after the hyphen (for example, ракета - носитель).
  5. If a collocation contains a comma, insert a space symbol before and after the comma (for example, связь , обновляемая вручную).


How to enter Spanish words and collocations

Rules of entering a word:
  • A verb should be entered in the form of Infinitive (for example, traducir).
  • A noun should be entered in singular, with an article (for example, la mesa), except the case when the noun is used only in plural (for example, las tijeras).
  • An adjective should be entered in singular, masculine (for example, bonito).
  • There are no special restrictions on the form of an adverb to be entered into the dictionary.

Rules for entering a collocation:

  • The main word in a collocation should be entered according to the rules for entering words.


Inflexion Type

Inflexion Type is a set of all the word forms of a certain word.


Headword

Headword in the dictionaries of the machine translation systems is a stem or a word form of a source word or a stem/word form of a collocation in the source language as the forming element of the dictionary entry.


Keywords

Keywords in the @PROMT Family machine translation systems are the words and word collocations typical for the specific topic. The lists of keywords created for definite topic templates allow the program to automatically determine the appropriate topic template for document translation, proceeding from the maximum amount of listed words which were found in the document.

The opportunity of creating and editing the lists of keywords is available NOT in all applications of the translation system.


Macro

Macro (or script) is a program written on one of script languages which uses an object model provided by the given application for customizing and extending its functionality.

The opportunity of attaching a macro may be unavailable in some applications of the translation system.

For detailed information on macros see prmtdom.chm help file residing in the Program Files/PRMT6/PRMT/Macros directory on the disk where operating system is installed.


Linked dictionary

Linked dictionary (sometimes is also called pair dictionary) in the @PROMT Family machine translation systems is the dictionary of the reverse direction of translation (for example, for the Russian-English dictionary it is the English-Russian dictionary), linked with the initial dictionary with the purpose of simultaneous updating and correction.

When you add a word or a collocation in the initial dictionary, a new entry is being automatically created in the linked dictionary, the headword of which is the translation equivalent of the source word. Several entries are being created if there are several translation equivalents. The necessary grammatical information is being formed on the basis of rules for the given language pair.

If you update the linked dictionary the initial dictionary is not modified.

The same dictionary may be a linked dictionary for several dictionaries.

The opposite is not true, i.e. one dictionary cannot have several linked dictionaries.


Paradigm

Paradigm in the machine translation systems is a set of endings of the certain Inflexion Type.


Phrase with insertion

Phrase with insertion - is a special type of verb collocation which allows the insertion of definite words between separate parts of this phrase.

The program allows to enter several types of phrases with insertion which differ by the structure of the phrase and by the type of insertion.

See also:

Examples of phrases with insertion


Preprocessor

Preprocessor in the @PROMT Family machine translation systems is a procedure of preliminary processing of the source text, which is transferred to the kernel of translation, and the associated procedure of further processing of the results of translation before returning it to the client-application. See also standard preprocessor.


Preserved word

Preserved word in the @PROMT Family machine translation systems is a word (or collocation) which is marked in the source text as the word which does not require translation. Usually these are proper name, abbreviations and special designations conterminous to significant words (for example, Windows 95, Miami Beach, Bill Gates). These words may be displayed in the text of translation with the symbols of the source language or transliterated. If you specify the semantic class to which this word may concern, it will allow the program to more precisely analyze the sentence's structure and get more adequate translation.


Grammatical information

Grammatical information in the machine translation systems is the description of grammatical categories, relations and semantic characteristics of the source word or collocation in the dictionary entry.


About PROMT company

PROMT company (PROMT Ltd., Russia) is the leading provider of innovative machine translation technologies (MT). It is the acknowledged researcher in the field of natural languages processing. The powerful combination of latest achievements in linguistics and perfection of technological process ensures the high quality of its systems.

The company’s objective is to create the software that can help in overcoming the language barrier. In the recent years the PROMT company has been emphasizing online translation for the Internet, fast expansion of which is limited by the world’s linguistic diversity.

PROMT company is the author of the machine translation systems of the @PROMT Family. These systems provide the full range of translation solutions which are intended to meet the requirements of different groups of users.

For simplification of work in the Internet and for popularization of the modern linguistic methods developed by the company, the PROMT company supports the free-of-charge server of translations (http://www.translate.ru).

@promt is a trademark owned by PROMT Ltd. The name "PROMT" which appears in this program is a textual representation of the @promt trademark. Other brands and product names are trademarks or registered trademarks of their respective owners.

The detailed information about the company and its products can be found out on the Web-site of the PROMT company.

Address: | 61, Vyborgskaya emb., Saint-Petersburg, Russia, 197342
Phone: | +7-(812)-245-16-06
Fax: | +7-(812)-327-44-83
E-mail: | support@promt.ru (Technical Support Service)
 | common@promt.ru (Commercial Department)
WWW: | http://www.e-promt.com/
 | http://www.translate.ru/


PROMT-document

PROMT-document in the @PROMT Family machine translation systems is an object of special structure which includes:

  • The source text;
  • The translated text;
  • The structures which maintain links between the paragraphs of the source text and the translated text;
  • The list of unknown words;
  • The document topic.

PROMT-document can be stored in a file of special format (file with .std extension).

When a document is opened in PROMT, the PROMT-document is being created. A complex structure is being formed, which is different from the source file structure.

If you have not completed the translation and/or editing the document and would like to continue working with it in future, you can save it in the PROMT-document format. Everything including the source text, the translation, the structure of the links between them, the document topic and the list of unknown words, will be saved.

The PROMT-document concept makes the process of editing and translating the texts much more convenient for the user. You can do the following:

  • View and edit both the source text and its translation;
  • Translate the whole text or separate paragraphs;
  • Return to the translated fragments of the source text, edit the text, modify the dictionary entries, preserve separate words and then repeat the translation of the edited fragment.


About @PROMT Family

@PROMT Family is a new generation of machine translation programs, in which the most advanced linguistic technologies of the PROMT company (PROMT Ltd.) are implemented. In the basis of the @PROMT Family products lies the technology of automated translation with the use of Associated Memory databases and specialized linguistic editor. Owing to unique opportunities of linguistic customization, the software products of the @PROMT Family provide high quality of translating documents, e-mail messages and Web-sites.

@PROMT Family set of programs is intended to be used in Windows XP, Windows 2000, Windows NT 4.0 and Windows 98/Me environments.

The programs provide accurate text translation, considering syntactic, morphological and semantic links. They possess the flexible means to easily customize the systems for translating texts in different topics.

@PROMT Family machine translation systems provide full range of solutions for translation and are intended for satisfying the needs of different user groups.

@PROMT Family includes the following main applications:

  • PROMT is a professional translation environment, a powerful text processor with a wide set of functions for customizing the translation;
  • PROMT Pro is a professional version of the PROMT program intended for the users with high level of linguistic qualification;
  • Dictionary Editor is an application for creating and editing user dictionaries;
  • Dictionary Editor Pro is a professional version of the Dictionary Editor program intended for the users with high level of linguistic qualification;
  • PROMT Electronic Dictionary is an electronic dictionary containing the whole dictionary base of the specialized dictionaries developed by the PROMT company;
  • SmarTool is a tool implementing translation functions in the applications of Microsoft Office 2000/XP (Word, Excel, PowerPoint, FrontPage, Outlook);
  • PromtX is a simplified editor-translator with capability of automated translation of Windows Clipboard and the texts typed on the keyboard in any Windows application;
  • File Translator is an application for batch translation of files;
  • PromtE is a module for translation of Web-pages in Microsoft Internet Explorer 5.x/6.x;
  • TDSetup is a program for installation of specialized dictionaries and topic templates;
  • Associated Memory Manager is a manager for Associated Memory databases;
  • PROMT Backup is a program providing creating and restoring archive copies of all user data in the system;
  • PROMT Plug-in for Acrobat is a module implementing functions of translation of PDF documents in Adobe Acrobat 4.x-5.x and Adobe Acrobat Reader 4.x-5.x;
  • Dictionary Services is a set of tools for professional work with dictionaries: getting statistics, comparing, merging dictionaries;
  • SdcMaker is a program for making distribution kits of specialized dictionaries and topic templates;
  • PROMT Terminology Manager is a tool for automating the processes of extracting and managing terminology;
  • PROMT for TRADOS is a tool for integrating the systems of Translation Memory class (TRADOS) with @PROMT Family machine translation systems.

On the basis of @PROMT Family programs the PROMT company produces numerous software products.

For detailed information about each application included into @PROMT Family, see Help system of the given application and the Web-site of the PROMT company.

Copyright © PROMT Ltd., 2003. All rights reserved.


Semantic class

Semantic class is a class of the words which are united by the mutual sense. Semantic characteristic describes the belonging of a notion defined by a word or collocation to one of the categories, for example "Geographical Name", "Document", "Activity", "Quality", etc.


Source word

Source word is a sequence of characters from a blank up to a blank in the source language (for example, in the English-Russian system this word is in English).


Specialized dictionary

Specialized dictionary in the machine translation systems is a dictionary intended for the extension of dictionary database and customizing it for some specific domain. Using the specialized dictionaries you can get more qualitative translation of texts on different topics.

Specialized dictionaries usually are not included into the installation set but may be purchased separately.

Specialized dictionary can't be edited. But you can open an entry from the specialized dictionary, modify it and then save in your own user dictionary.

Specialized dictionaries can be included or removed from the system ONLY by the special Installation of Specialized Dictionaries and Topic Templates program.


Standard preprocessor

Standard preprocessor – is a preprocessor, which allows the program to exclude some constructions from the process of translation and leave them either unchanged or transformed according to the rules of the output language. These may be file names and e-mail addresses, service symbols, date and time constructions and so on.


Stem

Stem in the machine translation systems is the whole unchangeable part of a word without the ending, i.e. the part of the word which remains unchanged at its declination or conjugation (e.g. 'FINISH', 'FINISHed', 'FINISHing', etc.).


Document topic

Document topic in the @PROMT Family machine translation systems is an attribute defining the belonging of the translated text to some subject area. The document topic is being created on the basis of the selected topic template, but may be modified during work.

You may customize the system to qualitative translation of the document, selecting an optimum combination of components of the document topic.


Translation Memory (TM) system

Translation Memory (TM) system is a database that stores all translated sentences (segments) along with their source language equivalents. These language segment pairs are referred to as translation units. The database stores these translation units in an artificial neural network. This neural network provides fast and efficient searching in the database using fuzzy matching techniques. The database itself and its associated neural network are collectively referred to as translation memory.


Topic template

Topic template in the @PROMT Family machine translation systems is an object which includes:

  • The ordered list of attached dictionaries
  • The list of preserved words
  • The ordered list of the attached preprocessors

Besides, the topic template may include the following advanced properties:

  • Keywords
  • Associated Memory databases
  • Macro
  • Translation rules
  • Transliteration of unknown words

The opportunity of editing the advanced properties of topic templates is available NOT in all applications of the translation system.

On the basis of the topic template the document topic is being created, which inherits all components of the source template but may be modified during work.

The concept of the topic template allows you to create complex linguistic settings, and then to operate with them as with a single object, receiving qualitative result with much less expenses. This may considerably simplify the procedure of customizing the system for the translation of the documents in specific subject domain.


About TRADOS

TRADOS is a Translation Memory system (TM), that is a database that stores all translated sentences (segments) along with their source language equivalents. It gives an immediate and flexible access to the earlier translated sentences at three levels: sentence, sentence part and terminological.

TRADOS is a database of words, sentences and text fragments which are frequently used for translation. It allows to translate a sentence once and then use it whenever it is needed. It is embedded into the interface of many text editors (for example, Microsoft Word), and allows to translate directly in the text editor with saving the formatting; text import and export are not required, the database is created in the background mode.

Multiterm is a specialized database program that is particularly helpful in creating, managing, and presenting your terminology, including terminology databases, address databases, and document management systems.

The detailed information about TRADOS and Multiterm can be found out from their own Help-systems.

Copyright © 1992-2000, TRADOS GmbH.


Translation rules

Translation rules in the @PROMT Family machine translation systems is a set of functions allowing you to select the models of translating some language constructions which cannot be ruled by modifying the dictionary information.

The list of translation rules depends on the direction of translation.

For example, for English-Russian direction of translation there are the following translation rules:

  • Translation for the pronoun "you" - you can select the meanings:
    • 'Вы'
    • 'вы'
    • 'ты'
  • Gender for the pronoun "I" - you can select the meanings:
    • Masculine
    • Feminine.

The selected values of the translation rules can be applied to separate paragraphs of the source text or to the whole text and can be saved within the PROMT-document or be included into the topic template.

You can use different values of translation rules during translation ONLY while working in the PROMT application.


Direction of translation

Direction of translation in the machine translation systems is the language pair, which specifies from what source language into what target language the chosen text(s) will be machine-translated.

For example, if the source text is English, and you are going to translate it into Russian, select the English-Russian direction.

Source language - is the language FROM which the text is being translated.

Target language - is the language INTO which the text is being translated.


Translation equivalents

Translation equivalents in the dictionaries of the machine translation systems are all possible variants of translation for the source word or collocation.

Translation equivalents should be entered as word forms (for unchangeable parts of speech), or stems (for changeable parts of speech) and Inflexion type. Inflexion type should be defined for correct coordination of words in the sentence while translating.

If the source word (collocation) relates to several parts of speech, each of them should have its own translation equivalents. But it is not recommended to give more than 2 translation equivalents for each part of speech, for it will make the translation "heavier" (additional variants of translation will be given in brackets).


Transliteration

Transliteration is the representation of the words of one language with the symbols of another language.

For example, during translation from Russian into English the surname 'Иванов' will be displayed in Latin symbols as 'Ivanov'.


Unknown word

Unknown word is a word which was not found during translation in the attached dictionaries of the @PROMT Family machine translation system.


User dictionary

User Dictionary in the machine translation systems is a dictionary which you can create and update yourself. If you want to add new words to the dictionary or modify the existing entries from the General or specialized dictionaries, you can do it in your own user dictionary. The amount of user dictionaries is not limited.

All new and changed entries can be stored ONLY in the user dictionaries!

If you want to use the meanings from your user dictionary during translation, it should be attached and with the highest priority (that means that this dictionary should be placed the first in the list of attached dictionaries).


User's Skill

User’s Skill: Expert/Beginner

User's Skill in the machine translation systems defines the level of your qualification while working with the dictionary entry: Beginner or Expert.

The Beginner mode is intended for less experienced user. You are suggested to enter minimum information into the entry, the major part of it is automatically determined by the program. You are not suggested to view and edit the information about the government of the source word. Besides, the program automatically defines the Inflexion Type of the output Russian nouns and adjectives.

The Expert mode is intended for more experienced user. You are provided with access to all information stored in the dictionary entry. You can enter and edit the information about the government of the source word. Besides, while defining the inflexion type, the program will suggest you to accept its choice, that will reduce the risk of entering the incorrect forms.


Word form

Word form is a word in the definite grammatical form.


Word with multiple translations

Word with multiple translations - is a word (collocation) which has several translations in one dictionary within a single part of speech. As a rule, the program cannot select the suitable translation automatically. But it proposes convenient tools for working with such words.

The words with multiple translations may be underlined in the text. Besides, all the possible variants of translation may be displayed in brackets near the word.

For example, in the English-Russian system the translation for the word ‘wood’ can be displayed as ‘древесина{*лес*}’.


WWT-format file

WWT-format was specially designed for saving the information about preserved words and their attributes.

At present, there are two types of WWT-format:

  • WWT (with formatting)
  • WWT (without formatting)

If you save the list of preserved words in a file of WWT (with formatting) format, the whole list of preserved words will be saved including such attributes as semantic class, transliteration and font format. You will be able to work with this file only in the present version of the translation system (@PROMT Family or PROMT Translation Office 2000).

If you save the list of preserved words in a file of WWT (without formatting) format, only the preserved words with such attributes as semantic class and transliteration will be saved. The preserved words with font format attributes will be lost. You will be able to work with this file both in the present and in the previous versions of the translation system (PROMT 98 or earlier).